/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "StarPU Handbook - StarPU Extensions", "index.html", [
    [ "Organization", "index.html#Organization", null ],
    [ "Debugging Tools", "DebuggingTools.html", [
      [ "TroubleShooting In General", "DebuggingTools.html#DebuggingInGeneral", null ],
      [ "Using The Gdb Debugger", "DebuggingTools.html#UsingGdb", null ],
      [ "Using Other Debugging Tools", "DebuggingTools.html#UsingOtherDebugger", null ],
      [ "Using The Temanejo Task Debugger", "DebuggingTools.html#UsingTheTemanejoTaskDebugger", null ]
    ] ],
    [ "Configuration and Initialization", "ConfigurationAndInitialization.html", null ],
    [ "Advanced Tasks In StarPU", "AdvancedTasksInStarPU.html", [
      [ "Task Dependencies", "AdvancedTasksInStarPU.html#TaskDependencies", [
        [ "Sequential Consistency", "AdvancedTasksInStarPU.html#SequentialConsistency", null ],
        [ "Tasks And Tags Dependencies", "AdvancedTasksInStarPU.html#TasksAndTagsDependencies", null ]
      ] ],
      [ "Using Multiple Implementations Of A Codelet", "AdvancedTasksInStarPU.html#UsingMultipleImplementationsOfACodelet", null ],
      [ "Enabling Implementation According To Capabilities", "AdvancedTasksInStarPU.html#EnablingImplementationAccordingToCapabilities", null ],
      [ "Getting Task Children", "AdvancedTasksInStarPU.html#GettingTaskChildren", null ],
      [ "Parallel Tasks", "AdvancedTasksInStarPU.html#ParallelTasks", [
        [ "Fork-mode Parallel Tasks", "AdvancedTasksInStarPU.html#Fork-modeParallelTasks", null ],
        [ "SPMD-mode Parallel Tasks", "AdvancedTasksInStarPU.html#SPMD-modeParallelTasks", null ],
        [ "Parallel Tasks Performance", "AdvancedTasksInStarPU.html#ParallelTasksPerformance", null ],
        [ "Combined Workers", "AdvancedTasksInStarPU.html#CombinedWorkers", null ],
        [ "Concurrent Parallel Tasks", "AdvancedTasksInStarPU.html#ConcurrentParallelTasks", null ]
      ] ],
      [ "Synchronization Tasks", "AdvancedTasksInStarPU.html#SynchronizationTasks", null ]
    ] ],
    [ "Advanced Data Management", "AdvancedDataManagement.html", [
      [ "Data Interface with Variable Size", "AdvancedDataManagement.html#VariableSizeDataInterface", null ],
      [ "Data Management Allocation", "AdvancedDataManagement.html#DataManagementAllocation", null ],
      [ "Data Access", "AdvancedDataManagement.html#DataAccess", null ],
      [ "Data Prefetch", "AdvancedDataManagement.html#DataPrefetch", null ],
      [ "Manual Partitioning", "AdvancedDataManagement.html#ManualPartitioning", null ],
      [ "Data handles helpers", "AdvancedDataManagement.html#DataHandlesHelpers", null ],
      [ "Handles data buffer pointers", "AdvancedDataManagement.html#DataPointers", null ],
      [ "Defining A New Data Filter", "AdvancedDataManagement.html#DefiningANewDataFilter", null ],
      [ "Defining A New Data Interface", "AdvancedDataManagement.html#DefiningANewDataInterface", [
        [ "Data registration", "AdvancedDataManagement.html#DefiningANewDataInterface_registration", null ],
        [ "Data footprint", "AdvancedDataManagement.html#DefiningANewDataInterface_footprint", null ],
        [ "Data allocation", "AdvancedDataManagement.html#DefiningANewDataInterface_allocation", null ],
        [ "Data copy", "AdvancedDataManagement.html#DefiningANewDataInterface_copy", null ],
        [ "Data pack/peek/unpack", "AdvancedDataManagement.html#DefiningANewDataInterface_pack", null ],
        [ "Pointers inside the data interface", "AdvancedDataManagement.html#DefiningANewDataInterface_pointers", null ],
        [ "Helpers", "AdvancedDataManagement.html#DefiningANewDataInterface_helpers", null ]
      ] ],
      [ "The Multiformat Interface", "AdvancedDataManagement.html#TheMultiformatInterface", null ],
      [ "Specifying A Target Node For Task Data", "AdvancedDataManagement.html#SpecifyingATargetNode", null ]
    ] ],
    [ "Advanced Scheduling", "AdvancedScheduling.html", [
      [ "Energy-based Scheduling", "AdvancedScheduling.html#Energy-basedScheduling", [
        [ "Measuring energy and power with StarPU", "AdvancedScheduling.html#MeasuringEnergyandPower", null ]
      ] ],
      [ "Static Scheduling", "AdvancedScheduling.html#StaticScheduling", null ],
      [ "Configuring Heteroprio", "AdvancedScheduling.html#configuringHeteroprio", [
        [ "Using locality aware Heteroprio", "AdvancedScheduling.html#LAHeteroprio", null ],
        [ "Using Heteroprio in auto-calibration mode", "AdvancedScheduling.html#AutoHeteroprio", null ]
      ] ]
    ] ],
    [ "Scheduling Contexts", "SchedulingContexts.html", [
      [ "General Ideas", "SchedulingContexts.html#ContextGeneralIdeas", null ],
      [ "Creating A Context", "SchedulingContexts.html#CreatingAContext", [
        [ "Creating A Context With The Default Behavior", "SchedulingContexts.html#CreatingAContextWithTheDefaultBehavior", null ]
      ] ],
      [ "Creating A Context To Partition a GPU", "SchedulingContexts.html#CreatingAGPUContext", null ],
      [ "Modifying A Context", "SchedulingContexts.html#ModifyingAContext", null ],
      [ "Submitting Tasks To A Context", "SchedulingContexts.html#SubmittingTasksToAContext", null ],
      [ "Deleting A Context", "SchedulingContexts.html#DeletingAContext", null ],
      [ "Emptying A Context", "SchedulingContexts.html#EmptyingAContext", null ]
    ] ],
    [ "Scheduling Context Hypervisor", "SchedulingContextHypervisor.html", [
      [ "What Is The Hypervisor", "SchedulingContextHypervisor.html#WhatIsTheHypervisor", null ],
      [ "Start the Hypervisor", "SchedulingContextHypervisor.html#StartTheHypervisor", null ],
      [ "Interrogate The Runtime", "SchedulingContextHypervisor.html#InterrogateTheRuntime", null ],
      [ "Trigger the Hypervisor", "SchedulingContextHypervisor.html#TriggerTheHypervisor", null ],
      [ "Resizing Strategies", "SchedulingContextHypervisor.html#ResizingStrategies", null ],
      [ "Defining A New Hypervisor Policy", "SchedulingContextHypervisor.html#DefiningANewHypervisorPolicy", null ]
    ] ],
    [ "CUDA Support", "CUDASupport.html", null ],
    [ "OpenCL Support", "OpenCLSupport.html", null ],
    [ "Out Of Core", "OutOfCore.html", [
      [ "Introduction", "OutOfCore.html#OutOfCore_Introduction", null ],
      [ "Use a new disk memory", "OutOfCore.html#UseANewDiskMemory", null ],
      [ "Data Registration", "OutOfCore.html#OOCDataRegistration", null ],
      [ "Using Wont Use", "OutOfCore.html#OOCWontUse", null ],
      [ "Examples: disk_copy", "OutOfCore.html#ExampleDiskCopy", null ],
      [ "Examples: disk_compute", "OutOfCore.html#ExampleDiskCompute", null ],
      [ "Performances", "OutOfCore.html#Performances", null ],
      [ "Feedback Figures", "OutOfCore.html#FeedBackFigures", null ],
      [ "Disk functions", "OutOfCore.html#DiskFunctions", null ]
    ] ],
    [ "MPI Support", "MPISupport.html", [
      [ "Building with MPI support", "MPISupport.html#MPIBuild", null ],
      [ "Example Used In This Documentation", "MPISupport.html#ExampleDocumentation", null ],
      [ "About Not Using The MPI Support", "MPISupport.html#NotUsingMPISupport", null ],
      [ "Simple Example", "MPISupport.html#SimpleExample", null ],
      [ "How to Initialize StarPU-MPI", "MPISupport.html#MPIInitialization", null ],
      [ "Point To Point Communication", "MPISupport.html#PointToPointCommunication", null ],
      [ "Exchanging User Defined Data Interface", "MPISupport.html#ExchangingUserDefinedDataInterface", null ],
      [ "MPI Insert Task Utility", "MPISupport.html#MPIInsertTaskUtility", null ],
      [ "Pruning MPI Task Insertion", "MPISupport.html#MPIInsertPruning", null ],
      [ "Temporary Data", "MPISupport.html#MPITemporaryData", null ],
      [ "Per-node Data", "MPISupport.html#MPIPerNodeData", null ],
      [ "Inter-node reduction", "MPISupport.html#MPIMpiRedux", null ],
      [ "Priorities", "MPISupport.html#MPIPriorities", null ],
      [ "MPI Cache Support", "MPISupport.html#MPICache", null ],
      [ "MPI Data Migration", "MPISupport.html#MPIMigration", null ],
      [ "MPI Collective Operations", "MPISupport.html#MPICollective", null ],
      [ "Make StarPU-MPI Progression Thread Execute Tasks", "MPISupport.html#MPIDriver", null ],
      [ "Debugging MPI", "MPISupport.html#MPIDebug", null ],
      [ "More MPI examples", "MPISupport.html#MPIExamples", null ],
      [ "Using the NewMadeleine communication library", "MPISupport.html#Nmad", null ],
      [ "MPI Master Slave Support", "MPISupport.html#MPIMasterSlave", null ],
      [ "MPI Checkpoint Support", "MPISupport.html#MPICheckpoint", null ]
    ] ],
    [ "TCP/IP Support", "TCPIPSupport.html", [
      [ "TCP/IP Master Slave Support", "TCPIPSupport.html#TCPIPMasterSlave", null ]
    ] ],
    [ "Transactions", "Transactions.html", [
      [ "General Ideas", "Transactions.html#TransactionsIdeas", null ],
      [ "Usage", "Transactions.html#TransactionsUsage", [
        [ "Epoch Cancellation", "Transactions.html#TransactionsEpochCancel", null ],
        [ "Transactions Enabled Codelets", "Transactions.html#TransactionsCodelets", null ],
        [ "Transaction Creation", "Transactions.html#TransactionsCreation", null ],
        [ "Transaction Tasks", "Transactions.html#TransactionsTasks", null ],
        [ "Epoch Transition", "Transactions.html#TransactionsEpochNext", null ],
        [ "Transaction Closing", "Transactions.html#TransactionsClosing", null ]
      ] ],
      [ "Known limitations", "Transactions.html#TransactionsLimitations", null ]
    ] ],
    [ "Fault Tolerance", "FaultTolerance.html", [
      [ "Introduction", "FaultTolerance.html#FaultTolerance_Introduction", null ],
      [ "Retrying tasks", "FaultTolerance.html#TaskRetry", null ]
    ] ],
    [ "FFT Support", "FFTSupport.html", [
      [ "Compilation", "FFTSupport.html#FFTCompilation", null ]
    ] ],
    [ "Maxeler FPGA Support", "MaxFPGASupport.html", [
      [ "Introduction", "MaxFPGASupport.html#Introduction", null ],
      [ "Porting Applications to Maxeler FPGA", "MaxFPGASupport.html#PortingApplicationsToMaxFPGA", [
        [ "StarPU/Maxeler FPGA Application", "MaxFPGASupport.html#MaxFPGAExample", null ],
        [ "Data Transfers in StarPU/Maxeler FPGA Applications", "MaxFPGASupport.html#MaxFPGADataTransfers", null ],
        [ "Maxeler FPGA Configuration", "MaxFPGASupport.html#MaxFPGAConfiguration", null ],
        [ "Launching Programs: Simulation", "MaxFPGASupport.html#MaxFPGALaunchingprograms", null ]
      ] ]
    ] ],
    [ "SOCL OpenCL Extensions", "SOCLOpenclExtensions.html", null ],
    [ "Hierarchical DAGS", "HierarchicalDAGS.html", [
      [ "An Example", "HierarchicalDAGS.html#BubblesExamples", [
        [ "Initial Version", "HierarchicalDAGS.html#BubblesInitialVersion", null ],
        [ "Bubble Version", "HierarchicalDAGS.html#BubblesBubbleVersion", null ]
      ] ]
    ] ],
    [ "Creating Parallel Workers On A Machine", "ParallelWorker.html", [
      [ "General Ideas", "ParallelWorker.html#ParallelWorkerGeneralIdeas", null ],
      [ "Workers Creating Parallel Workers", "ParallelWorker.html#CreatingParallel", null ],
      [ "Example Of Constraining OpenMP", "ParallelWorker.html#ExampleOfConstrainingOpenMP", null ],
      [ "Creating Custom Parallel Workers", "ParallelWorker.html#CreatingCustomParallelWorkers", null ],
      [ "Parallel Workers With Scheduling", "ParallelWorker.html#ParallelWorkersWithSchedulingContextsAPI", null ]
    ] ],
    [ "Interoperability Support", "InteroperabilitySupport.html", [
      [ "StarPU Resource Management", "InteroperabilitySupport.html#ResourceManagement", [
        [ "Linking a program with the starpurm module", "InteroperabilitySupport.html#Build", null ],
        [ "Initialization and Shutdown", "InteroperabilitySupport.html#InitExit", null ],
        [ "Default Context", "InteroperabilitySupport.html#DefCTX", null ],
        [ "Temporary Contexts", "InteroperabilitySupport.html#TmpCTXS", null ]
      ] ]
    ] ],
    [ "How To Define A New Scheduling Policy", "HowToDefineANewSchedulingPolicy.html", [
      [ "Introduction", "HowToDefineANewSchedulingPolicy.html#NewSchedulingPolicy_Introduction", null ],
      [ "Helper functions for defining a scheduling policy (Basic or modular)", "HowToDefineANewSchedulingPolicy.html#SchedulingHelpers", null ],
      [ "Defining A New Basic Scheduling Policy", "HowToDefineANewSchedulingPolicy.html#DefiningANewBasicSchedulingPolicy", null ],
      [ "Defining A New Modular Scheduling Policy", "HowToDefineANewSchedulingPolicy.html#DefiningANewModularSchedulingPolicy", [
        [ "Interface", "HowToDefineANewSchedulingPolicy.html#Interface", null ],
        [ "Building a Modularized Scheduler", "HowToDefineANewSchedulingPolicy.html#BuildAModularizedScheduler", [
          [ "Pre-implemented Components", "HowToDefineANewSchedulingPolicy.html#PreImplementedComponents", null ],
          [ "Progression And Validation Rules", "HowToDefineANewSchedulingPolicy.html#ProgressionAndValidationRules", null ],
          [ "Locking in modularized schedulers", "HowToDefineANewSchedulingPolicy.html#ModularizedSchedulerLocking", null ],
          [ "Implementing a Modularized Scheduler", "HowToDefineANewSchedulingPolicy.html#ImplementAModularizedScheduler", null ]
        ] ],
        [ "Management of parallel task", "HowToDefineANewSchedulingPolicy.html#ModularizedSchedulersAndParallelTasks", null ],
        [ "Writing a Scheduling Component", "HowToDefineANewSchedulingPolicy.html#WriteASchedulingComponent", [
          [ "Generic Scheduling Component", "HowToDefineANewSchedulingPolicy.html#GenericSchedulingComponent", null ],
          [ "Instantiation : Redefining the Interface", "HowToDefineANewSchedulingPolicy.html#InstantiationRedefineInterface", null ],
          [ "Detailed Progression and Validation Rules", "HowToDefineANewSchedulingPolicy.html#DetailedProgressionAndValidationRules", null ]
        ] ]
      ] ],
      [ "Using a New Scheduling Policy", "HowToDefineANewSchedulingPolicy.html#UsingaNewSchedulingPolicy", null ],
      [ "Graph-based Scheduling", "HowToDefineANewSchedulingPolicy.html#GraphScheduling", null ],
      [ "Debugging Scheduling", "HowToDefineANewSchedulingPolicy.html#DebuggingScheduling", null ]
    ] ],
    [ "SimGrid Support", "SimGridSupport.html", [
      [ "Preparing Your Application For Simulation", "SimGridSupport.html#Preparing", null ],
      [ "Calibration", "SimGridSupport.html#Calibration", null ],
      [ "Simulation", "SimGridSupport.html#Simulation", null ],
      [ "Simulation On Another Machine", "SimGridSupport.html#SimulationOnAnotherMachine", null ],
      [ "Simulation Examples", "SimGridSupport.html#SimulationExamples", null ],
      [ "Simulations On Fake Machines", "SimGridSupport.html#FakeSimulations", null ],
      [ "Tweaking Simulation", "SimGridSupport.html#TweakingSimulation", null ],
      [ "MPI Applications", "SimGridSupport.html#SimulationMPIApplications", null ],
      [ "Debugging Applications", "SimGridSupport.html#SimulationDebuggingApplications", null ],
      [ "Memory Usage", "SimGridSupport.html#SimulationMemoryUsage", null ]
    ] ],
    [ "The GNU Free Documentation License", "GNUFreeDocumentationLicense.html", [
      [ "ADDENDUM: How to use this License for your documents", "GNUFreeDocumentationLicense.html#ADDENDUM", null ]
    ] ],
    [ "", "Files.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ]
    ] ],
    [ "Data Structures", "annotated.html", [
      [ "Data Structures", "annotated.html", "annotated_dup" ],
      [ "Data Structure Index", "classes.html", null ],
      [ "Data Fields", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Variables", "functions_vars.html", "functions_vars" ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "Globals", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"AdvancedDataManagement.html",
"group__API__Bitmap.html#ga4fb875a511a2afbc75731acf41406fd0",
"group__API__Codelet__And__Tasks.html#ggac127ad106bf376da993d3f4caa979b2fa5d3f117a4e1c6ff0a1f57ce98ddad9b5",
"group__API__Data__Interfaces.html#ga82eea89e2f23a9fdc1f34c03db68a97b",
"group__API__Data__Partition.html#ga554a2fb14fdee9353364c39f36ee3a6f",
"group__API__Insert__Task.html#ga71d2b5f941b3c05d67a7d002e834a753",
"group__API__Miscellaneous__Helpers.html#gac7575c5106fb88dbee9f9e7b0a6b5c9c",
"group__API__OpenMP__Runtime__Support.html#gae79ec9c5fc3150ae926609d10f5aaf05",
"group__API__Performance__Model.html#afe2d561aaba7bf1ad1cf03974ee8c53c",
"group__API__Scheduler__Toolbox.html#ga6a1e78ec4a321e0799fbdaea8f36ba4a",
"group__API__Threads.html#gac83bf1cce7a509b76cae9e191fb39bb4",
"interfacefstarpu__mod_1_1fstarpu__conf__set__min__prio.html",
"interfacefstarpu__mod_1_1fstarpu__sched__ctx__create__inside__interval.html",
"interfacefstarpu__mod_1_1fstarpu__worker__is__slave__somewhere.html",
"starpu__thread_8h.html#structstarpu__pthread__spinlock__t"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';